Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.browser
Class LocationEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.browser.LocationEvent

All Implemented Interfaces:
  Serializable

public class LocationEvent
extends TypedEvent

A `LocationEvent` is sent by a `Browser` to `LocationListener`'s when the `Browser` navigates to a different URL. This notification typically occurs when the application navigates to a new location with `Browser.setUrl(String)` or when the user activates a hyperlink.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`boolean` | `doit` A flag indicating whether the location loading should be allowed.
`String` | `location` current location
`boolean` | `top` A flag indicating whether the location opens in the top frame or not.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### location

    public String location

  current location

### top

    public boolean top

  A flag indicating whether the location opens in the top frame or not.

### doit

    public boolean doit

  A flag indicating whether the location loading should be allowed. Setting this field to `false` will cancel the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.